Dža ko lil

Workflow Utilities Pick Image By Index

Integriruj

Modelosko id workflow-utilities/pick-image-by-index
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/workflow-utilities/pick-image-by-index?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ],
    "index": 1
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Kava mangipen: ≈$0.001 1 API kredito Phir les kate

Lel API klidin
Utility · Kip

Tiro prvo rezultato si kate

Ker tele jekh mangipen thaj phir les tire API klidinosa. E rezultatur si kopirime amare arakhipneste, vično vaj 7 dives bilačhes.

Ker jekh mangipen

O kontrolura kerde si katar e schemaske. O kodo thaj e cena menjinen sar tu len menjines.

•trubul image_urls
Čhiv jekh fajl, vaj

Kipo-URL array utilizime sar alosaripaskero surso.

•trubul

Alosaripe e kipesko pala pozicija, ginime katar 1: mang 1 vaś o angluno kipo, 2 vaś o dujto, thaj džal avri avri.

Lučhe fallback_index
fallback_index standardno first-image

Politika vaś kipo-alosaripe avri e rangostar, standardno `first-image`; ignoruil pes vaś validno `index`, thaj validacija ajso našel vaś `index` tele 1 vaj šušo `image_urls` array. Numa `index` opre lunge e arrayoski aktivirarel e politik: `first-image` alosarel o angluno kipo, `last-image` o agorutno.

POST /run/workflow-utilities/pick-image-by-index?wait=20 hesab → $0.001
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/workflow-utilities/pick-image-by-index?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ],
    "index": 1
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Phandel kava mangipen

Tiro kluč ačhel kadale browsereste: bičhalel pes numa ko Doitong API thaj šuvav pes (localStorage) numa te tiknes Remember. Le jekh API ključ

Palal Workflow Utilities Pick Image By Index

Devolvel jekh kipo katar jekh array kipeske URL-ja. `index` si 1-based, takže 1 del o angluno kipo. Kana o index si avrial e listaki lungipe, `fallback_index` alosarel te avel devolvime o angluno vaj paluno kipo. Žutil vaš te chain-is paso ande jekh workflow.

Parametra

Bičhalav vaj e kanonikano nav vaj e native nav, na duj. Kanonikane nava

NavTip standardnoMuklo Vakeripe
image_urlstrubul images
Tipurl[] · image
Kipo-URL array utilizime sar alosaripaskero surso.
indextrubul
Tipinteger
Alosaripe e kipesko pala pozicija, ginime katar 1: mang 1 vaś o angluno kipo, 2 vaś o dujto, thaj džal avri avri.
fallback_indexopcionalno
Tipenum
standardnofirst-image
first-imagelast-image
Politika vaś kipo-alosaripe avri e rangostar, standardno `first-image`; ignoruil pes vaś validno `index`, thaj validacija ajso našel vaś `index` tele 1 vaj šušo `image_urls` array. Numa `index` opre lunge e arrayoski aktivirarel e politik: `first-image` alosarel o angluno kipo, `last-image` o agorutno.
trubul Kanonikano nav, vi akceptime

Fajloske parametra lel jekh publikano https:// URL, jekh data: URI dži 10 MB, vaj e file_url uploadoski. Fajlura

Rezultato

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "workflow-utilities/pick-image-by-index",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1,
    "usd": "0.001",
    "charged": 1,
    "refunded": 0
  },
  "input": {
    "image_urls": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ],
    "index": 1
  },
  "output": {
    "image": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768
    },
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ]
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Tire fajlura, tiro alosaripenSako outputs[].url si kopija amare arakhipneste: vično (čargeime per GB-mase) vaj 7 dives bilačhes, tiro kontoskere regulaciatar vaj ?storage=.
Sa jekh forma sako modeloθartype, url, content_type, width, height thaj duration, varesave imajinake, video thaj audio-ke. output si o modelosko korkoro resultosko objekto.
Outputoske fieldura
image
object {url, content_type, file_name, file_size, width, height}Kipo alosardo ande specifikime pozicija.
images
array of object {url, content_type, file_name, file_size, width, height}Kompatibilno rezultato vaś downstream-nodura save očekuin an `images` referenca, sar dena katar merge thaj aver utilitetura. Les si o alosardo kipo ande jekh-elemento array, vaj kadale nodonge na trubul paruvipena.

Bute modeli: Editime e kipesko

AI agentenge: kadija rig sar Markdown si kate https://doitong.com/rom/developers/models/workflow-utilities/pick-image-by-index.md. Sa e modelura thaj e gidura: https://doitong.com/developers/llms.txt